Package org.opensaml.saml.saml2.profile.impl

# Class AddSubjectConfirmationToSubjects.RemoteAddressStrategy

java.lang.Object
org.opensaml.saml.saml2.profile.impl.AddSubjectConfirmationToSubjects.RemoteAddressStrategy

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`

Enclosing class:
  AddSubjectConfirmationToSubjects

private class AddSubjectConfirmationToSubjects.RemoteAddressStrategy extends Object implements Function<ProfileRequestContext,String>
Default strategy for obtaining client address from servlet layer.

Since:
  4.1.0

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`RemoteAddressStrategy()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(ProfileRequestContext t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### RemoteAddressStrategy

private RemoteAddressStrategy()

## Method Details

### apply

@Nullable public String apply(@Nullable ProfileRequestContext t)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,String>`